aboutsummaryrefslogtreecommitdiff
path: root/share/templater/vagrant
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2017-10-31 17:23:15 -0200
committerSilvio Rhatto <rhatto@riseup.net>2017-10-31 17:23:15 -0200
commit82e6bce4ea8fc61e99f6eb32dc12c470b93dccd4 (patch)
tree4b81210f80e8a3e85a1d65b01beb67f92a727066 /share/templater/vagrant
parent8e83eb20f8841022cf9a221f2e8447cdba1f7270 (diff)
downloadtemplater-82e6bce4ea8fc61e99f6eb32dc12c470b93dccd4.tar.gz
templater-82e6bce4ea8fc61e99f6eb32dc12c470b93dccd4.tar.bz2
New module format
Diffstat (limited to 'share/templater/vagrant')
-rw-r--r--share/templater/vagrant/description1
-rwxr-xr-xshare/templater/vagrant/setup26
2 files changed, 27 insertions, 0 deletions
diff --git a/share/templater/vagrant/description b/share/templater/vagrant/description
new file mode 100644
index 0000000..3d265c5
--- /dev/null
+++ b/share/templater/vagrant/description
@@ -0,0 +1 @@
+Vagrant virtual machine configuration
diff --git a/share/templater/vagrant/setup b/share/templater/vagrant/setup
new file mode 100755
index 0000000..0550034
--- /dev/null
+++ b/share/templater/vagrant/setup
@@ -0,0 +1,26 @@
+#!/bin/bash
+#
+# Vagrant
+#
+
+# Parameters
+SHARE="$1"
+
+# Include basic functions
+source $SHARE/templater/functions || exit 1
+
+# Vagrant implementation
+function templater_vagrant {
+ if [ ! -e "Vagrantfile" ]; then
+ __templater_echo "Setting up vagrant..."
+ #__templater_checkout_develop
+ vagrant init
+ echo '.vagrant' >> .gitignore
+ #git commit -a -m "Adds vagrant support"
+ else
+ __templater_echo "Vagrant already set"
+ fi
+}
+
+# Dispatch
+templater_vagrant